Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231451 - gpilot, gpilot-applet or pilot-link not working
Summary: gpilot, gpilot-applet or pilot-link not working
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 13:35 UTC by Igor Miletic
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 14:41:27 UTC


Attachments (Terms of Use)
Output of the gnome-pilot crash (deleted)
2007-03-25 18:37 UTC, Igor Miletic
no flags Details

Description Igor Miletic 2007-03-08 13:35:51 UTC
Description of problem:

gpilot and gpilot-applet not working. When applet is added to panel, it always
stays red. Also /dev/pilot link is not created.

Version-Release number of selected component (if applicable):
pilot-link-0.12.1-4.fc7
gnome-pilot-2.0.15-3.fc7

How reproducible:
always

Steps to Reproduce:
1. Add gpilot applet
2. Connect palm pilot
3. try to sync
  
Actual results:
dmesg shows that device is connected, it creates ttyUSB140 and ttyUSB141, but no
pilot link. Pointing it to ttyUSB14x freezes applet.

Expected results:
pilot and computer get synchronized.

Additional info:

Comment 1 Ivana Varekova 2007-03-09 09:13:47 UTC
Which version of palm do you use?

Comment 2 Igor Miletic 2007-03-09 13:06:30 UTC
I am using Palm TX.

Comment 3 Mads Villadsen 2007-03-10 19:02:48 UTC
I am also using a Palm TX, and running pilot-xfer -l -p /dev/ttyUSB149 also hangs.

This is still happening for the pilot-link-0.12.1-5.fc7 package.

Comment 4 Mads Villadsen 2007-03-25 15:51:48 UTC
I have gotten pilot-xfer -l to work (and also syncing with jpilot works now, so
I am guessing gpilot should also work).

This is with kernel 2.6.20-1.3017.fc7.

I had to add the following line in a file called /etc/udev/rules.d/10-visor.rules

BUS=="usb", SYSFS{product}=="Palm Handheld*", KERNEL=="ttyUSB[13579]",
SYMLINK+="pilot"

This line creates the dev/pilot symlink when the palm pilot gets inserted.

Comment 5 Igor Miletic 2007-03-25 18:37:10 UTC
Created attachment 150858 [details]
Output of the gnome-pilot crash

Comment 6 Igor Miletic 2007-03-25 18:37:58 UTC
This also (partially) fixed problem for me.
Only difference is that I did not have 10-visor.rules file. I add line to
50-udev.rules 

Now I have problem syncing with evolution. Pilot applet just crashed. I am
attached error output from BugBuddy.


Comment 7 Igor Miletic 2007-04-14 17:30:26 UTC
As of few days ago, only change I needed to do to make Palm work with evolution
is Mads Villadsen fix (adding line BUS=="usb", SYSFS{product}=="Palm Handheld*",
KERNEL=="ttyUSB[13579]",SYMLINK+="pilot" to udev rules).

Can you please add this?

Comment 8 Ivana Varekova 2007-04-27 08:41:24 UTC
Please could you try to use pilot-link-0.12.2-1.fc7? 
It should fix your problem.


Comment 9 Igor Miletic 2007-05-01 12:24:54 UTC
Last version of the pilot-link is pilot-link-0.12.1-6.fc7, and this one works if
I add udev rule. Is there a place I can get pilot-link-0.12.2-1.fc7 from ?

Comment 10 Igor Miletic 2007-06-21 14:41:27 UTC
I think this bug can be closed now. 

Works here.


Note You need to log in before you can comment on or make changes to this bug.